## openmpi 5.0.5

=== debian/changelog ===
openmpi (5.0.5-3) unstable; urgency=medium

  * Ensure files not installed in a binary-indep build are listed in
    d/not-installed. Closes: #1085151
  * Fix 2 links that were not updated
    libmpi.so.40.40.5
    libmpi_usempif08-gfortran.so.40.40.2
  * Drop obsolete refs to kfreebsd-i386 in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Oct 2024 11:03:15 +0100

openmpi (5.0.5-2) unstable; urgency=medium

  * Push to unstable for pseudo-transition. Closes: #1078212

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Oct 2024 17:53:18 +0100

openmpi (5.0.5-1) experimental; urgency=medium

  * New upstream release
  * Ack old bug fixed: Closes: #1070985

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Jul 2024 07:48:34 +0100

openmpi (5.0.4-1) experimental; urgency=medium

  * New upstream release
  * libs change:
    libmpi.so.40.40.3  -> libmpi.so.40.40.4
    libmpi_usempif08.so.40.40.1 -> libmpi_usempif08.so.40.40.2
    libopen-pal.so.80.0.3 -> libopen-pal.so.80.0.4
    liboshmem.so.40.40.2 -> liboshmem.so.40.40.3
    libprrte.so.3.0.5 -> libprrte.so.3.0.6

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Jul 2024 08:56:29 +0100

openmpi (5.0.3-3) experimental; urgency=medium

  * Add t64 transition changes to 5.0.3 version; Closes: #1064263
  * S-V: 4.7.0; no changes required
  * Make science team the Maintainer

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 May 2024 15:33:51 +0100

openmpi (5.0.3-2) experimental; urgency=medium

  * Rename /usr/bin/pterm to pterm.openmpi. Closes: #1056054, #1068808

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 16:16:39 +0100

openmpi (5.0.3-1) experimental; urgency=medium

  * New upstream release
  * Ensure mpiexec.openmpi -> mpirun.openmpi not mpirun, as mpirun may 
    be redirected by alternatives
  * pcc no longer shipped?
  * libs change:
     libopen-pal.so.80.0.2 -> libopen-pal.so.80.0.3
     libprrte.so.3.0.3 -> libprrte.so.3.0.5
     liboshmem.so.40.40.1 -> liboshmem.so.40.40.2
     libmpi.so.40.40.2 -> 40.40.3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Apr 2024 14:29:18 +0100

openmpi (5.0.2-1) experimental; urgency=medium

  * New upstream release
  * libs change:
     liboshmem.so.40.40.0 -> liboshmem.so.40.40.1
     libopen-pal.so.80.0.0 -> libopen-pal.so.80.0.2
     libprrte.so.3.0.2 -> libprrte.so.3.0.3
     libmpi.so.40.40.0 -> 40.40.2
     libmpi_usempif08.so.40.40.0 -> libmpi_usempif08.so.40.40.1
  * B-D on architecture-is-64-bit. No longer support 32-bit systems
  * libopenmpi-dev.postinst.in: drop mpic++ links for >= 5.0.0
  * autopkg tests must not have underscores in names
  * Add pkgconfi to tests
  * libopenmpi-dev deps on fortran:Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Feb 2024 12:25:11 +0000

openmpi (5.0.0-1) experimental; urgency=medium

  * New upstream release
  * libs change: 
      liboshmem.so.40.30.3 -> liboshmem.so.40.40.0
      libmpi_java: 40.30.0 -> libmpi_java.so.40.40.0
      libopen-pal.40.30.3 -> libopen-pal.80.0.0
      libmpi.so.40.30.6   -> libmpi.so.40.40.0
      libmpifh.so.40.40.0 -> libmpifh.40.40.0
      libmpi_usempif08.so.40.30.0 -> libmpi_usempif08.so.40.40.0
      libmpi_usempi_ignore_tkr.so.40.30.0 -> libmpi_usempi_ignore_tkr.so.40.40.0
      libompitrace.so.40.30.1 -> libompitrace.so.40.40.0
      libopen-rte.so.40.30.3 no longer shipped
      libmca_* no longer shipped
      Now ship libprrte.so.3.0.2

  * Patch for hurd-amd64 thanks to Sam Thibault. Closes: #1055425
  * Disable C++ support - dropped from MPI standard
  * B-D on python3-sphinx-rtd-theme,  python3-recommonmark for docs

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Nov 2023 19:17:54 +0000

=== debian/control ===
Source: openmpi
Section: net
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>,
 Manuel Prinz <manuel@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), 
 architecture-is-64-bit,
 dh-sequence-fortran-mod,
 debhelper-compat (= 13), 
 libevent-dev,
 libpmix-dev,
 libucx-dev [amd64 arm64 ppc64el],
 zlib1g-dev,
 gfortran,
 libhwloc-dev,
 pkg-config,
 libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any],
 libfabric-dev [!kfreebsd-amd64 !hurd-any],
 libnuma-dev [!kfreebsd-amd64 !hurd-any],
 libpsm-infinipath1-dev [amd64],
 libpsm2-dev [amd64],
 python3-sphinx-rtd-theme,
 python3-recommonmark,
 default-jdk [!hurd-any !kfreebsd-amd64 !alpha !ppc64 !sparc64] <!nojava>,
 flex
Build-Conflicts: libmpich-dev, libopenmpi-dev
Standards-Version: 4.7.0
Homepage: https://www.open-mpi.org/
Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/latest

Package: openmpi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-common (>= ${source:Version}),
 openssh-client | ssh-client
Conflicts: openmpi-bin
Multi-Arch: foreign
Breaks:
 libopenmpi-dev (<< 4.0.5-3),
 mpich (<< 3.3~b1-5),
 libmpich-dev (<< 3.3~b1-5),
 lam4-dev (<< 7.1.4-4),
Replaces: libopenmpi-dev (<< 4.0.5-3),
Suggests: gfortran | fortran-compiler
Description: high performance message passing library -- binaries
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 Features:
  * Full MPI-3.1 standards conformance
  * Thread safety and concurrency
  * Dynamic process spawning
  * High performance on all platforms
  * Reliable and fast job management
  * Network and process fault tolerance
  * Support network heterogeneity
  * Single library supports all networks
  * Run-time instrumentation
  * Many job schedulers supported
  * Internationalized error messages
  * Component-based design, documented APIs
 .
 This package contains the Open MPI utility programs.

Package: libopenmpi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${fortran:Depends},
 libopenmpi3t64 (= ${binary:Version}), 
 openmpi-common (>= ${source:Version}), 
 libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any], libhwloc-dev,
 libevent-dev, 
 libpmix-dev,
 libjs-jquery,
 libjs-jquery-ui,
 zlib1g-dev,
 openmpi-bin (>= 3.0.0-1)
Recommends: libcoarrays-openmpi-dev
Conflicts: libopenmpi-dev
Breaks:
 openmpi-doc (<< 4.1.2~rc1-4),
 lam4-dev (<< 7.1.4-4),
Suggests: openmpi-doc
Description: high performance message passing library -- header files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the header files and compiler wrappers which are needed
 to compile and link programs against libopenmpi.

Package: libopenmpi3t64
Section: libs
Architecture: any
Multi-Arch: same
Provides: ${t64:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
Breaks: libopenmpi3 (<< ${source:Version}), gromacs-openmpi (<< 2020~beta2-2), 
 libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), 
 starpu-examples (<< 1.3.2+dfsg-4+b1)
Replaces: libopenmpi3
Description: high performance message passing library -- shared library
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the Open MPI shared libraries.

Package: openmpi-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: openmpi-common
Description: high performance message passing library -- common files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains platform independent files for Open MPI.

Package: openmpi-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery-ui
Conflicts: mpi-doc, lam-mpidoc, lam4-dev, openmpi-doc
Replaces:  libopenmpi-dev (<< 4.1.2~rc1-4)
Breaks: libopenmpi-dev (<< 4.1.2~rc1-4)
Description: high performance message passing library -- man pages
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains man pages describing the Message Passing Interface
 standard.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DESTDIR:=$(CURDIR)/debian/tmp/
BUILDDIR_FLANG=debian/build-flang
BUILDDIR_GFORTRAN=debian/build-gfortran
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libopenmpi-dev.postinst libopenmpi-dev.prerm

### Arch-specific stuff
# No ibverbs support available on kFreeBSD, Hurd
NO_VERBS_ARCH:= hurd-amd64 kfreebsd-amd64 s390x 
NO_FABRIC_ARCH:=hurd-amd64 kfreebsd-amd64 s390x 
PSM_ARCH:= amd64
PSM2_ARCH:= amd64
UCX_ARCH:= amd64 ppc64el arm64
ATOMICS_ARCH:= s390x riscv64
NO_CMA_ARCH:= s390x alpha sparc64
NO_JAVA_ARCH:= hurd-amd64 kfreebsd-amd64 ppc64 alpha sparc64
NO_TEST_ARCH:= hurd-amd64


UCX:=     $(if $(filter $(DEB_TARGET_ARCH), $(UCX_ARCH)),  --with-ucx,  )
VERBS:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_VERBS_ARCH)), , --with-verbs ) 
FABRIC:=  $(if $(filter $(DEB_TARGET_ARCH), $(NO_FABRIC_ARCH)),  , --with-libfabric  )
PSM:=     $(if $(filter $(DEB_TARGET_ARCH), $(PSM_ARCH)),  --with-psm, )
PSM2:=    $(if $(filter $(DEB_TARGET_ARCH), $(PSM2_ARCH)),  --with-psm2, )
ATOMICS:= $(if $(filter $(DEB_TARGET_ARCH), $(ATOMICS_ARCH)), --enable-builtin-atomics, )
CMA:=     $(if $(filter $(DEB_TARGET_ARCH), $(NO_CMA_ARCH)), --without-cma , )
DO_TEST:= $(if $(filter $(DEB_TARGET_ARCH), $(NO_TEST_ARCH)), false, true)
BTL_TESTS:= $(if $(DO_TEST), --enable-opal-btl-usnic-unit-tests, )
DO_FLANG:=$(if $(wildcard /usr/bin/flang),true, false)

ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
       JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
		 ,--with-jdk-dir=/usr/lib/jvm/default-java --enable-mpi-java )
endif

FLANG_FCFLAGS= $(filter '-g', $(shell dpkg-buildflags --get FCFLAGS))
FLANG_LIBDIR= $(LIBDIR)/fortran/flang

FLANG_VERSION=$(shell basename $(shell readlink /usr/bin/flang))
# GFORTRAN_VERSION:=$(shell basename $(shell readlink -f /usr/bin/gfortran))
export GFORTRAN_MOD_VERSION=gfortran-mod-15

FMODDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/fortran/$(GFORTRAN_MOD_VERSION)

# FC set to f77 by default in make
# Read default compiler name unless FC is actually set
ifeq ($(FC),f77)
  FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
endif

# Drop '-g' flag with flang. Known failure with 2018122 version
ifneq ($(filter flang,$(FC)),)
FCFLAGS=$(shell dpkg-buildflags --get FCLAGS |  sed -e 's/-g //')
endif


ifeq (sparc,$(DEB_HOST_GNU_CPU))
	CFLAGS += -mcpu=v9
endif

# Use -O3 recommended by upstream
CFLAGS += -O3
CXXFLAGS += -O3
FCFLAGS += -O3

# Flags for the static build: see bug #502232
#STATIC_CONFIG_PARAMS = --enable-static
STATIC_CONFIG_PARAMS =  

# Do not embed build username or build system hostname, see README
export HOSTNAME=hostname
export USER=username

%:
	dh $@ 

extra_flags = \
		--disable-silent-rules \
		--disable-wrapper-runpath \
		--with-package-string="Debian OpenMPI" \
		$(VERBS) $(FABRIC) $(PSM) $(PSM2) $(CMA) \
		$(UCX) \
		--with-pmix=external \
		$(ATOMICS) \
		$(JAVA) \
		$(STATIC_CONFIG_PARAMS) \
		$(BTL_TESTS) \
                --with-libevent=external \
		--with-hwloc=external  \
		--disable-silent-rules \
		--enable-ipv6  \
		--with-devel-headers \
		--with-slurm \
		--with-sge \
		--without-tm \
		--sysconfdir=/etc/openmpi 		\
		--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/lib	\
		--includedir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/include 

override_dh_auto_clean:
	dh_clean
	rm -fr debian/build-*
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	find . -name Makefile.in -delete
	find . -name .libs -exec rm -rf {} \; || true
	find . -name .dirstamp -delete
	find . -type l -delete
	find . -name '*.o' -delete

override_dh_update_autotools_config:
	(cd config && autom4te --language=m4sh opal_get_version.m4sh -o opal_get_version.sh)
	./autogen.pl --force

override_dh_autoreconf:
	@echo Skipping extra autoreconf.

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
               sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  | \
               sed -e 's/@GFORTRAN_VERSION@/${GFORTRAN_VERSION}/' > debian/$$f ; \
               done
	dh_auto_configure --builddirectory=$(BUILDDIR_GFORTRAN) -- $(extra_flags)
	$(DO_FLANG) && dh_auto_configure --builddirectory=$(BUILDDIR_FLANG) \
		-- $(extra_flags) FC=flang FCFLAGS="$(FLANG_FCFLAGS)" || true

override_dh_auto_build:
	dh_auto_build --builddirectory=$(BUILDDIR_GFORTRAN)	
	$(DO_FLANG) && dh_auto_build --builddirectory=$(BUILDDIR_FLANG)	 || true

override_dh_install:
	dh_auto_install --builddirectory=$(BUILDDIR_GFORTRAN)
	$(DO_FLANG) && find $(BUILDDIR_FLANG) -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \; || true
# Rename the compiler and startup wrappers.
	for f in mpic++ mpicc mpiCC mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
		if test -f $(DESTDIR)/usr/bin/$${f}; then \
			mv $(DESTDIR)/usr/bin/$${f} $(DESTDIR)/usr/bin/$${f}.openmpi ; \
		fi; \
	done
	# Rename some files
	#mv $(DESTDIR)/usr/bin/aggregate_profile.pl $(DESTDIR)/usr/bin/aggregate_profile
	#mv $(DESTDIR)/usr/bin/profile2mat.pl $(DESTDIR)/usr/bin/profile2mat
	mv $(DESTDIR)/usr/bin/pterm	$(DESTDIR)/usr/bin/pterm.openmpi
	mv $(DESTDIR)/usr/share/man/man1/pterm.1 $(DESTDIR)/usr/share/man/man1/pterm.openmpi.1
	# Ensure correct mpiexec is used
	rm $(DESTDIR)/usr/bin/mpiexec.openmpi $(DESTDIR)/usr/bin/oshrun
	ln -s mpirun.openmpi $(DESTDIR)/usr/bin/mpiexec.openmpi
	ln -s mpirun.openmpi $(DESTDIR)/usr/bin/oshrun
# Strip rpath from pc,wrapper files
	for f in ompi-c.pc  ompi-cxx.pc  ompi-f77.pc  ompi-f90.pc  ompi-fort.pc  ompi.pc  opal.pc  oshmem-c.pc  oshmem-cxx.pc  oshmem-fort.pc  oshmem.pc ; do  \
		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' < $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} | \
                sed -e 's%@FMODDIR@%${FMODDIR}%g' > debian/tmp.x ; \
		mv debian/tmp.x $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} ; \
		done
	find . -name '*wrapper-data.txt' | while read f; do \
		sed -e 's/-Wl,-rpath -Wl,@{libdir}//' < $$f | \
		sed -e 's%@FMODDIR@%${FMODDIR}%g' > debian/tmp.x ; \
		mv debian/tmp.x $$f ; done
# Rename the compiler wrapper man pages.
	for f in mpic++ mpicc mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.1; then \
			echo DEBUG7 $${f} ;\
			mv $(DESTDIR)/usr/share/man/man1/$${f}.1 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.1 ; \
		fi; \
		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.3; then \
			echo DEBUG8 $${f} ;\
			mv $(DESTDIR)/usr/share/man/man3/$${f}.3 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.3 ; \
		fi; \
	done
	cd $(DESTDIR)/usr/share/man/man3; \
	for f in *.3; do \
		mv $$f $$(echo $$f|sed -e "s|\.3|.openmpi.3|g"); \
	done; \
	mkdir -p $(DESTDIR)/$(LIBDIR)/openmpi/lib/
	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.40.0  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.0
	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.40.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.0
	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.40.2 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.2
	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-gfortran.so.40.40.0 \
		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.0
	gcc -shared -fPIC -Wl,-soname,libmpi_usempi_ignore_tkr-gfortran.so.40 \
		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-gfortran.so.40.40.0 \
		   $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.0
	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-gfortran.so.40.40.2 \
		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.2
	# Flang, if present
	$(DO_FLANG) && ( \
		mkdir -p $(DESTDIR)/$(FLANG_MODDIR) ; \

=== debian/tests/control ===
Tests: compile-run-mpicc
Depends: gcc, openmpi-bin, libopenmpi-dev

Tests: compile-run-mpif90
Depends: gfortran, libopenmpi-dev, openmpi-bin

Tests: compile-run-mpif77
Depends: gfortran, libopenmpi-dev, openmpi-bin

Tests: compile-run-cc-pkgconf
Depends: gfortran, libopenmpi-dev, openmpi-bin, pkgconf

Tests: compile-run-f90-pkgconf
Depends: gfortran, libopenmpi-dev, openmpi-bin, pkgconf

Tests: compile-run-f77-pkgconf
Depends: gfortran, libopenmpi-dev, openmpi-bin, pkgconf

Tests: check-shared-objs
Depends: openmpi-bin

## openmpi 5.0.6

=== debian/changelog ===
openmpi (5.0.6-3) unstable; urgency=medium

  * Fix broken symlink libprrte.so. Closes: #1088767
  * Add Rules-Requires-Root: no

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Dec 2024 05:44:06 +0000

openmpi (5.0.6-2) unstable; urgency=medium

  * Typo in libprrte.so link
  * Upstream patch for prte type  error. Closes: #1087800

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Nov 2024 11:33:09 +0000

openmpi (5.0.6-1) experimental; urgency=medium

  * Upstream 5.0.6 bugfix release
  * Don't ship orte.pc
  * Merge 5.0.5-6 changes to debian/experimental for transition.
    Closes: #1087683, #1078026
  * Fix PRTE bug for #1087800 (prte-types.patch)
  * Updated library minor versions:
    - libmpi_mpifh.so.40.40.1
    - libmpi_usempi_ignore_tkr.so.40.40.1
    - libmpi_usempif08.so.40.40.3
    - libmpi_java.so.40.40.1
    - libmpi.so.40.40.6
    - libopen-pal.so.80.0.5
    - liboshmem.so.40.40.4
    - libprrte.so.3.0.7

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Nov 2024 11:05:55 +0000

openmpi (5.0.5-6) unstable; urgency=medium

  * libmca_* not shipped; delete broken symlinks
  * Fix other broken symlinks: docs,etc
  * Correct paths in mpi wrappers. Closes: #1086209, #10870100
  * Update d/tests/* for  pkgconf tests
  * Drop rpath from libs. Closes: #1085509
  * Update README.Debian

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Nov 2024 06:29:12 +0000

openmpi (5.0.5-4) experimental; urgency=medium

  * Transition: libopenmpit364 -> libopenmpi40, as libmpi_cxx dropped
  * Avoid passing FMODDIR to wrapper data for arch-dependent paths;
    sed to ${libdir}/.. instead.  Closes: #1085258
  * Move pkg-config -> pkgconf
  * openmpi-doc: depend on libjs-jquery, fonts-font-awesome
  * Add riscv64 to libucx-dev build-dep

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2024 05:12:40 +0100

openmpi (4.1.6-13) unstable; urgency=medium

  * Move pmix help files to libopenmpi3t64, not openmpi3-common

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Apr 2024 17:37:26 +0100

openmpi (4.1.6-12) unstable; urgency=medium

  * Use Conflicts/Provides/Replaces libpmix2. Closes: #1068735
  * Patch from Adrian Bunk for atomics.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2024 14:45:23 +0100

openmpi (4.1.6-11) unstable; urgency=medium

  * Ship help text files for pmix. Closes: #1069106

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2024 11:15:11 +0100

openmpi (4.1.6-10) unstable; urgency=medium

  * libopenmpi3t64 breaks/replaces libpmix2t64 not libpmix2.
    Closes: #1068735

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 10:25:06 +0100

openmpi (4.1.6-9) unstable; urgency=medium

  * Ship pmix on 32-bit systems; ensure we break/depend on libpmix on 32-bit
    systems. Closes: #1067784, #1068612

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Apr 2024 09:17:18 +0100

openmpi (4.1.6-8) unstable; urgency=medium

  * Only dep on libpmix on 64-bit systems.
  * Disable modules that need 64-bit atomic ops on 32-bit systems.
    Closes: #1067055

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Apr 2024 14:34:22 +0100

openmpi (5.0.1-1) experimental; urgency=medium

  * New upstream release
  * libs change: 
      libprrte.so.3.0.2 -> libprrte.so.3.0.3
      libopen-pal.so.80.0.0 -> libopen-pal.so.80.0.1
      liboshmem.so.40.40.0  -> liboshmem.so.40.40.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 16:34:38 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  debhelper-compat (= 13), 
  libevent-dev,
  libpmix-dev,
- libucx-dev [amd64 arm64 ppc64el],
+ libucx-dev [amd64 arm64 ppc64el riscv64],
  zlib1g-dev,
  gfortran,
  libhwloc-dev,
- pkg-config,
+ pkgconf,
  libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any],
  libfabric-dev [!kfreebsd-amd64 !hurd-any],
  libnuma-dev [!kfreebsd-amd64 !hurd-any],
@@ -25,6 +25,7 @@
  default-jdk [!hurd-any !kfreebsd-amd64 !alpha !ppc64 !sparc64] <!nojava>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
+Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
@@ -71,7 +72,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${fortran:Depends},
- libopenmpi3t64 (= ${binary:Version}), 
+ libopenmpi40 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
  libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any], libhwloc-dev,
  libevent-dev, 
@@ -96,16 +97,16 @@
  This package contains the header files and compiler wrappers which are needed
  to compile and link programs against libopenmpi.
 
-Package: libopenmpi3t64
+Package: libopenmpi40
 Section: libs
 Architecture: any
 Multi-Arch: same
-Provides: ${t64:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
-Breaks: libopenmpi3 (<< ${source:Version}), gromacs-openmpi (<< 2020~beta2-2), 
+Breaks: libopenmpi3 (<< ${source:Version}), libopenmpi3t64 (<< ${source:Version}),
+ gromacs-openmpi (<< 2020~beta2-2), 
  libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), 
  starpu-examples (<< 1.3.2+dfsg-4+b1)
-Replaces: libopenmpi3
+Replaces: libopenmpi3, libopenmpi3t64
 Description: high performance message passing library -- shared library
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
@@ -133,7 +134,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libjs-jquery-ui
+Depends: ${misc:Depends}, libjs-jquery-ui, libjs-jquery,
+ fonts-font-awesome
 Conflicts: mpi-doc, lam-mpidoc, lam4-dev, openmpi-doc
 Replaces:  libopenmpi-dev (<< 4.1.2~rc1-4)
 Breaks: libopenmpi-dev (<< 4.1.2~rc1-4)

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 NO_FABRIC_ARCH:=hurd-amd64 kfreebsd-amd64 s390x 
 PSM_ARCH:= amd64
 PSM2_ARCH:= amd64
-UCX_ARCH:= amd64 ppc64el arm64
+UCX_ARCH:= amd64 ppc64el arm64 riscv64
 ATOMICS_ARCH:= s390x riscv64
 NO_CMA_ARCH:= s390x alpha sparc64
 NO_JAVA_ARCH:= hurd-amd64 kfreebsd-amd64 ppc64 alpha sparc64
@@ -49,7 +49,8 @@
 export GFORTRAN_MOD_VERSION=gfortran-mod-15
 
 FMODDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/fortran/$(GFORTRAN_MOD_VERSION)
-
+# arch-neutral version we can put in openmpi-common configs
+FMODDIR_STRING:="\${libdir}/fortran/$(GFORTRAN_MOD_VERSION)"
 # FC set to f77 by default in make
 # Read default compiler name unless FC is actually set
 ifeq ($(FC),f77)
@@ -156,21 +157,19 @@
 # Strip rpath from pc,wrapper files
 	for f in ompi-c.pc  ompi-cxx.pc  ompi-f77.pc  ompi-f90.pc  ompi-fort.pc  ompi.pc  opal.pc  oshmem-c.pc  oshmem-cxx.pc  oshmem-fort.pc  oshmem.pc ; do  \
 		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' < $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} | \
-                sed -e 's%@FMODDIR@%${FMODDIR}%g' > debian/tmp.x ; \
+                sed -e 's%@FMODDIR@%${FMODDIR_STRING}%g' > debian/tmp.x ; \
 		mv debian/tmp.x $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} ; \
 		done
 	find . -name '*wrapper-data.txt' | while read f; do \
-		sed -e 's/-Wl,-rpath -Wl,@{libdir}//' < $$f | \
-		sed -e 's%@FMODDIR@%${FMODDIR}%g' > debian/tmp.x ; \
+		sed -e 's%$${prefix}/lib/${DEB_HOST_MULTIARCH}%$${libdir}%g' <  $$f | \
+		sed -e 's%@FMODDIR@%${FMODDIR_STRING}%g' > debian/tmp.x ; \
 		mv debian/tmp.x $$f ; done
 # Rename the compiler wrapper man pages.
 	for f in mpic++ mpicc mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
 		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.1; then \
-			echo DEBUG7 $${f} ;\
 			mv $(DESTDIR)/usr/share/man/man1/$${f}.1 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.1 ; \
 		fi; \
 		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.3; then \
-			echo DEBUG8 $${f} ;\
 			mv $(DESTDIR)/usr/share/man/man3/$${f}.3 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.3 ; \
 		fi; \
 	done
@@ -179,16 +178,13 @@
 		mv $$f $$(echo $$f|sed -e "s|\.3|.openmpi.3|g"); \
 	done; \
 	mkdir -p $(DESTDIR)/$(LIBDIR)/openmpi/lib/
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.40.0  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.0
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.40.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.0
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.40.2 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.2
-	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-gfortran.so.40.40.0 \
-		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.0
+	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.40.1  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.1
+	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.40.1 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.1
+	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.40.3 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.3
+	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-gfortran.so.40.40.1 \
+               $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.1
 	gcc -shared -fPIC -Wl,-soname,libmpi_usempi_ignore_tkr-gfortran.so.40 \
-		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-gfortran.so.40.40.0 \
-		   $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.0
-	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-gfortran.so.40.40.2 \
-		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.2
-	# Flang, if present
-	$(DO_FLANG) && ( \
-		mkdir -p $(DESTDIR)/$(FLANG_MODDIR) ; \
+		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-gfortran.so.40.40.1 \
+		   $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.1
+	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-gfortran.so.40.40.3 \
+		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.3

## openmpi 5.0.7

=== examples/Makefile ===
#
# Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana
#                         University Research and Technology
#                         Corporation.  All rights reserved.
# Copyright (c) 2004-2018 The University of Tennessee and The University
#                         of Tennessee Research Foundation.  All rights
#                         reserved.
# Copyright (c) 2004-2005 High Performance Computing Center Stuttgart,
#                         University of Stuttgart.  All rights reserved.
# Copyright (c) 2004-2005 The Regents of the University of California.
#                         All rights reserved.
# Copyright (c) 2006-2007 Sun Microsystems, Inc.  All rights reserved.
# Copyright (c) 2011-2020 Cisco Systems, Inc.  All rights reserved
# Copyright (c) 2012      Los Alamos National Security, Inc.  All rights reserved.
# Copyright (c) 2013      Mellanox Technologies, Inc.  All rights reserved.
# Copyright (c) 2017-2018 Research Organization for Information Science
#                         and Technology (RIST). All rights reserved.
# $COPYRIGHT$
#
# Additional copyrights may follow
#
# $HEADER$
#

# Use the Open MPI-provided wrapper compilers.

MPICC = mpicc
MPIFC = mpifort
MPIJAVAC = mpijavac
SHMEMCC = shmemcc
SHMEMCXX = shmemc++
SHMEMFC = shmemfort

# Using -g is not necessary, but it is helpful for example programs,
# especially if users want to examine them with debuggers.  Note that
# gmake requires the CXXFLAGS macro, while other versions of make
# (such as Sun's make) require the CCFLAGS macro.

CFLAGS += -g
CXXFLAGS += -g
CCFLAGS += -g
FCFLAGS += -g

# Example programs to build

EXAMPLES = \
	 hello_c \
	 hello_mpifh \
	 hello_usempi \
	 hello_usempif08 \
	 hello_oshmem \
	 hello_oshmemcxx \
	 hello_oshmemfh \
	 Hello.class \
	 ring_c \
	 ring_mpifh \
	 ring_usempi \
	 ring_usempif08 \
	 ring_oshmem \
	 ring_oshmemfh \
	 Ring.class \
	 connectivity_c \
	 oshmem_shmalloc \
	 oshmem_circular_shift \
	 oshmem_max_reduction \
	 oshmem_strided_puts \
	 oshmem_symmetric_data \
	 spc_example \
         hello_sessions_c


# Default target.  Always build the C MPI examples.  Only build the
# others if we have the appropriate Open MPI / OpenSHMEM language
# bindings.

all: hello_c ring_c connectivity_c spc_example hello_sessions_c
	@ if which ompi_info >/dev/null 2>&1 ; then \
	    $(MAKE) mpi; \
	fi
	@ if which oshmem_info >/dev/null 2>&1 ; then \
	    $(MAKE) oshmem; \
	fi

# MPI examples

mpi:
	@ if ompi_info --parsable | grep -q bindings:mpif.h:yes >/dev/null; then \
	    $(MAKE) hello_mpifh ring_mpifh; \
	fi
	@ if ompi_info --parsable | grep -E -q bindings:use_mpi:\"\?yes >/dev/null; then \
	    $(MAKE) hello_usempi ring_usempi; \
	fi
	@ if ompi_info --parsable | grep -q bindings:use_mpi_f08:yes >/dev/null; then \
	    $(MAKE) hello_usempif08 ring_usempif08; \
	fi
	@ if ompi_info --parsable | grep -q bindings:java:yes >/dev/null; then \
	    $(MAKE) Hello.class Ring.class; \
	fi

# OpenSHMEM examples

oshmem:
	@ if oshmem_info --parsable | grep oshmem:bindings:c:yes >/dev/null; then \
	    $(MAKE) hello_oshmem; \
	    $(MAKE) hello_oshmemcxx; \
	    $(MAKE) ring_oshmem; \
	    $(MAKE) oshmem_shmalloc; \
	    $(MAKE) oshmem_circular_shift; \
	    $(MAKE) oshmem_max_reduction; \
	    $(MAKE) oshmem_strided_puts; \
	    $(MAKE) oshmem_symmetric_data; \
	fi
	@ if oshmem_info --parsable | grep oshmem:bindings:fort:yes >/dev/null; then \
	    $(MAKE) hello_oshmemfh; \
	    $(MAKE) ring_oshmemfh; \
	fi

# The usual "clean" target

clean:
	rm -f $(EXAMPLES) *~ *.o

# Don't rely on default rules for the Fortran and Java examples

hello_c: hello_c.c
	$(MPICC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
ring_c: ring_c.c
	$(MPICC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
connectivity_c: connectivity_c.c
	$(MPICC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
spc_example: spc_example.c
	$(MPICC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
hello_sessions_c: hello_sessions_c.c
	$(MPICC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

hello_mpifh: hello_mpifh.f
	$(MPIFC) $(FCFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
ring_mpifh: ring_mpifh.f
	$(MPIFC) $(FCFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

hello_usempi: hello_usempi.f90
	$(MPIFC) $(FCFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
ring_usempi: ring_usempi.f90
	$(MPIFC) $(FCFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

hello_usempif08: hello_usempif08.f90
	$(MPIFC) $(FCFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
ring_usempif08: ring_usempif08.f90
	$(MPIFC) $(FCFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

Hello.class: Hello.java
	$(MPIJAVAC) Hello.java
Ring.class: Ring.java
	$(MPIJAVAC) Ring.java

hello_oshmem: hello_oshmem_c.c
	$(SHMEMCC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
hello_oshmemcxx: hello_oshmem_cxx.cc
	$(SHMEMCXX) $(CXXFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
hello_oshmemfh: hello_oshmemfh.f90
	$(SHMEMFC) $(FCFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

ring_oshmem: ring_oshmem_c.c
	$(SHMEMCC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@
ring_oshmemfh: ring_oshmemfh.f90
	$(SHMEMFC) $(FCFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

oshmem_shmalloc: oshmem_shmalloc.c
	$(SHMEMCC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

oshmem_circular_shift: oshmem_circular_shift.c
	$(SHMEMCC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

oshmem_max_reduction: oshmem_max_reduction.c
	$(SHMEMCC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

oshmem_strided_puts: oshmem_strided_puts.c
	$(SHMEMCC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

oshmem_symmetric_data: oshmem_symmetric_data.c
	$(SHMEMCC) $(CFLAGS) $(LDFLAGS) $? $(LDLIBS) -o $@

=== debian/changelog ===
openmpi (5.0.7-1) unstable; urgency=medium

  * New upstream release
  * prte_data_server.patch: Merged upstream
  * Update/fix metadata on d/patches
   * Updated library minor versions:
    - libmpi.so.40.40.7
    - libprrte.so.3.0.8
  * sshmmem.patch: cast to fix  Wint-conversion
  * Don't install pcc

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Feb 2025 13:09:46 +0000

openmpi (5.0.6-4) unstable; urgency=medium

  * Strip rpath from wrapper files. Closes: #1085509
  * Build-dep on pmix > 5.0.6-2 for symlink fix

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Feb 2025 09:54:48 +0000

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,21 @@
  dh-sequence-fortran-mod,
  debhelper-compat (= 13), 
  libevent-dev,
- libpmix-dev,
+ libpmix-dev (>= 5.0.6-2),
  libucx-dev [amd64 arm64 ppc64el riscv64],
  zlib1g-dev,
  gfortran,
  libhwloc-dev,
  pkgconf,
- libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any],
- libfabric-dev [!kfreebsd-amd64 !hurd-any],
- libnuma-dev [!kfreebsd-amd64 !hurd-any],
+ libibverbs-dev (>= 1.1.7) [!hurd-any],
+ libfabric-dev [!hurd-any],
+ libnuma-dev [!hurd-any],
  libpsm-infinipath1-dev [amd64],
  libpsm2-dev [amd64],
  python3-sphinx-rtd-theme,
  python3-recommonmark,
- default-jdk [!hurd-any !kfreebsd-amd64 !alpha !ppc64 !sparc64] <!nojava>,
+ default-jdk [!hurd-any !alpha !ppc64 !sparc64] <!nojava>,
+ chrpath,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
 Rules-Requires-Root: no
@@ -74,7 +75,7 @@
 Depends: ${misc:Depends}, ${fortran:Depends},
  libopenmpi40 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
- libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any], libhwloc-dev,
+ libibverbs-dev (>= 1.1.7) [!hurd-any], libhwloc-dev,
  libevent-dev, 
  libpmix-dev,
  libjs-jquery,

=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,14 @@
 
 ### Arch-specific stuff
 # No ibverbs support available on kFreeBSD, Hurd
-NO_VERBS_ARCH:= hurd-amd64 kfreebsd-amd64 s390x 
-NO_FABRIC_ARCH:=hurd-amd64 kfreebsd-amd64 s390x 
+NO_VERBS_ARCH:= hurd-amd64 s390x 
+NO_FABRIC_ARCH:=hurd-amd64 s390x 
 PSM_ARCH:= amd64
 PSM2_ARCH:= amd64
 UCX_ARCH:= amd64 ppc64el arm64 riscv64
 ATOMICS_ARCH:= s390x riscv64
 NO_CMA_ARCH:= s390x alpha sparc64
-NO_JAVA_ARCH:= hurd-amd64 kfreebsd-amd64 ppc64 alpha sparc64
+NO_JAVA_ARCH:= hurd-amd64 ppc64 alpha sparc64
 NO_TEST_ARCH:= hurd-amd64
 
 
@@ -162,6 +162,7 @@
 		done
 	find . -name '*wrapper-data.txt' | while read f; do \
 		sed -e 's%$${prefix}/lib/${DEB_HOST_MULTIARCH}%$${libdir}%g' <  $$f | \
+		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' | \
 		sed -e 's%@FMODDIR@%${FMODDIR_STRING}%g' > debian/tmp.x ; \
 		mv debian/tmp.x $$f ; done
 # Rename the compiler wrapper man pages.

## openmpi 5.0.8

=== docs/requirements.txt ===
sphinx>=4.2.0
recommonmark
docutils
sphinx-rtd-theme

=== 3rd-party/prrte/examples/Makefile ===
#
# Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana
#                         University Research and Technology
#                         Corporation.  All rights reserved.
# Copyright (c) 2004-2005 The University of Tennessee and The University
#                         of Tennessee Research Foundation.  All rights
#                         reserved.
# Copyright (c) 2004-2005 High Performance Computing Center Stuttgart,
#                         University of Stuttgart.  All rights reserved.
# Copyright (c) 2004-2005 The Regents of the University of California.
#                         All rights reserved.
# Copyright (c) 2006-2007 Sun Microsystems, Inc.  All rights reserved.
# Copyright (c) 2011-2016 Cisco Systems, Inc.  All rights reserved.
# Copyright (c) 2012      Los Alamos National Security, Inc.  All rights reserved.
# Copyright (c) 2013      Mellanox Technologies, Inc.  All rights reserved.
# Copyright (c) 2016-2020 Intel, Inc.  All rights reserved.
# Copyright (c) 2021-2024 Nanook Consulting  All rights reserved.
# $COPYRIGHT$
#
# Additional copyrights may follow
#
# $HEADER$
#

# Use the PRRTE-provided wrapper compiler

CC = pcc

# Using -g is not necessary, but it is helpful for example programs,
# especially if users want to examine them with debuggers.

CFLAGS = -g

# Example programs to build

EXAMPLES = \
	client \
	client2 \
	debugger/direct \
	debugger/direct-multi \
	debugger/indirect \
	debugger/indirect-multi \
	debugger/attach \
	debugger/daemon \
	debugger/hello \
	debugger/stdincheck \
	dmodex \
	dynamic \
	fault \
	pub \
	tool \
	alloc \
	probe \
	target \
	hello \
	log \
	bad_exit \
	jctrl \
	launcher \
	showkeys \
	legacy \
	colocate \
	pset \
	nodeid \
	client-threaded

all: $(EXAMPLES)

# The usual "clean" target

clean:
	rm -f $(EXAMPLES) *~ *.o

=== debian/changelog ===
openmpi (5.0.8-8ubuntu1) questing; urgency=medium

  * Really fix hard-coded fortran mod directory in patches.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Sep 2025 15:03:06 +0200

openmpi (5.0.8-8) unstable; urgency=medium

  * Fix hard-coded fortran mod directory in patch. Closes: #1097520

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 15:55:38 +0100

openmpi (5.0.8-7) unstable; urgency=medium

  * Rebuild with gfortran-15, update FMODDIR in d/rules. Closes: #1097520
  * Close bug, fixed with pmix 6.0.0-3 upload. Closes: #1112049

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 10:15:55 +0100

openmpi (5.0.8-6) unstable; urgency=medium

  * Partial revert of 1107591 that breaks compilation
  * Properly close bug. Closes: #1112291

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Aug 2025 09:04:55 +0100

openmpi (5.0.8-5) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Ship pmix_zlib.so plugin. Closes: #1112291
  * Close bug fixed in pmix. Closes: #1112049

  [ Helmut Grohe ]
  * Make Build-Depends compatible with cross building. Closes: #1107591

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Aug 2025 13:25:06 +0100

openmpi (5.0.8-4) unstable; urgency=medium

  * Ship missing docs that break tests. Closes: #1112181

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Aug 2025 15:10:10 +0100

openmpi (5.0.8-3) unstable; urgency=medium

  * Fix breaks/replaces for libpmix2t64 version.
  * Close old bug. Closes: #1111199

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Aug 2025 15:42:08 +0100

openmpi (5.0.8-2) unstable; urgency=medium

  * Use internal pmix. Closes: #1111125

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Aug 2025 11:10:34 +0100

openmpi (5.0.8-1) experimental; urgency=medium

  * New upstream release
    - sshmem.patch: fixed upstream
  * Standards-Version: 4.7.2
  * Updated library minor versions:
    - libprrte.so.3.0.11

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Jun 2025 16:36:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
  dh-sequence-fortran-mod,
  debhelper-compat (= 13), 
  libevent-dev,
- libpmix-dev (>= 5.0.6-2),
  libucx-dev [amd64 arm64 ppc64el riscv64],
  zlib1g-dev,
- gfortran,
+ gfortran-for-host,
  libhwloc-dev,
  pkgconf,
  libibverbs-dev (>= 1.1.7) [!hurd-any],
@@ -20,14 +19,14 @@
  libnuma-dev [!hurd-any],
  libpsm-infinipath1-dev [amd64],
  libpsm2-dev [amd64],
- python3-sphinx-rtd-theme,
- python3-recommonmark,
+ python3-sphinx-rtd-theme:native,
+ python3-recommonmark:native,
  default-jdk [!hurd-any !alpha !ppc64 !sparc64] <!nojava>,
  chrpath,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
 Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/latest
@@ -36,14 +35,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-common (>= ${source:Version}),
  openssh-client | ssh-client
-Conflicts: openmpi-bin
 Multi-Arch: foreign
 Breaks:
- libopenmpi-dev (<< 4.0.5-3),
- mpich (<< 3.3~b1-5),
- libmpich-dev (<< 3.3~b1-5),
  lam4-dev (<< 7.1.4-4),
-Replaces: libopenmpi-dev (<< 4.0.5-3),
 Suggests: gfortran | fortran-compiler
 Description: high performance message passing library -- binaries
  Open MPI is a project combining technologies and resources from several other
@@ -77,15 +71,13 @@
  openmpi-common (>= ${source:Version}), 
  libibverbs-dev (>= 1.1.7) [!hurd-any], libhwloc-dev,
  libevent-dev, 
- libpmix-dev,
  libjs-jquery,
  libjs-jquery-ui,
  zlib1g-dev,
  openmpi-bin (>= 3.0.0-1)
+Conflicts: libopenmpi-dev, libpmix-dev
 Recommends: libcoarrays-openmpi-dev
-Conflicts: libopenmpi-dev
 Breaks:
- openmpi-doc (<< 4.1.2~rc1-4),
  lam4-dev (<< 7.1.4-4),
 Suggests: openmpi-doc
 Description: high performance message passing library -- header files
@@ -102,12 +94,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
-Breaks: libopenmpi3 (<< ${source:Version}), libopenmpi3t64 (<< ${source:Version}),
- gromacs-openmpi (<< 2020~beta2-2), 
- libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), 
- starpu-examples (<< 1.3.2+dfsg-4+b1)
-Replaces: libopenmpi3, libopenmpi3t64
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
+Breaks: libpmix2t64 (<< 6.0.0-3)
+Replaces: libpmix2t64 (<<  6.0.0-3)
 Description: high performance message passing library -- shared library
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+# This needed for cross-builds but breaks mpicc. Why? 2025-08-30
+# DPKG_EXPORT_BUILDTOOLS = 1
+# include /usr/share/dpkg/buildtools.mk
 
 DESTDIR:=$(CURDIR)/debian/tmp/
 BUILDDIR_FLANG=debian/build-flang
@@ -46,16 +50,11 @@
 
 FLANG_VERSION=$(shell basename $(shell readlink /usr/bin/flang))
 # GFORTRAN_VERSION:=$(shell basename $(shell readlink -f /usr/bin/gfortran))
-export GFORTRAN_MOD_VERSION=gfortran-mod-15
+export GFORTRAN_MOD_VERSION=gfortran-mod-16
 
 FMODDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/fortran/$(GFORTRAN_MOD_VERSION)
 # arch-neutral version we can put in openmpi-common configs
 FMODDIR_STRING:="\${libdir}/fortran/$(GFORTRAN_MOD_VERSION)"
-# FC set to f77 by default in make
-# Read default compiler name unless FC is actually set
-ifeq ($(FC),f77)
-  FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
-endif
 
 # Drop '-g' flag with flang. Known failure with 2018122 version
 ifneq ($(filter flang,$(FC)),)
@@ -89,11 +88,11 @@
 		--with-package-string="Debian OpenMPI" \
 		$(VERBS) $(FABRIC) $(PSM) $(PSM2) $(CMA) \
 		$(UCX) \
-		--with-pmix=external \
 		$(ATOMICS) \
 		$(JAVA) \
 		$(STATIC_CONFIG_PARAMS) \
 		$(BTL_TESTS) \
+		--with-pmix=internal \
                 --with-libevent=external \
 		--with-hwloc=external  \
 		--disable-silent-rules \

=== debian/tests/control ===
--- 
+++ 
@@ -7,14 +7,23 @@
 Tests: compile-run-mpif77
 Depends: gfortran, libopenmpi-dev, openmpi-bin
 
-Tests: compile-run-cc-pkgconf
+Tests: compile-run-cc-pkgconf-ompi-c
 Depends: gfortran, libopenmpi-dev, openmpi-bin, pkgconf
 
-Tests: compile-run-f90-pkgconf
+Tests: compile-run-cc-pkgconf-ompi
+Depends: gfortran, libopenmpi-dev, openmpi-bin, pkgconf
+
+Tests: compile-run-f90-pkgconf 
+Depends: gfortran, libopenmpi-dev, openmpi-bin, pkgconf
+
+Tests: compile-run-f90-pkgconf-ompi-fort
 Depends: gfortran, libopenmpi-dev, openmpi-bin, pkgconf
 
 Tests: compile-run-f77-pkgconf
 Depends: gfortran, libopenmpi-dev, openmpi-bin, pkgconf
 
+Tests: compile-run-f77-pkgconf-ompi-f77
+Depends: gfortran, libopenmpi-dev, openmpi-bin, pkgconf
+
 Tests: check-shared-objs
 Depends: openmpi-bin

=== debian/watch ===
version=3
http://www.open-mpi.org/software/ompi/ .*/.*/openmpi-([\d+\.]+)\.tar\.gz
